package com.pqs9200.pojo.data;

import java.io.Serializable;
import java.util.Date;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2021/12/22 20:31
 */

public class SvgSensitivePoint implements Serializable {
    //UUID
    private String uuidIndex;
    //暂降敏感点ID
    private Integer cellIndex;
    //暂降幅值
    private Float amplitude;
    //暂降类型
    private Integer descentType;
    //发生时刻
    private String time;

    public String getUuidIndex() {
        return uuidIndex;
    }

    public void setUuidIndex(String uuidIndex) {
        this.uuidIndex = uuidIndex;
    }

    public Integer getCellIndex() {
        return cellIndex;
    }

    public void setCellIndex(Integer cellIndex) {
        this.cellIndex = cellIndex;
    }

    public Float getAmplitude() {
        return amplitude;
    }

    public void setAmplitude(Float amplitude) {
        this.amplitude = amplitude;
    }

    public Integer getDescentType() {
        return descentType;
    }

    public void setDescentType(Integer descentType) {
        this.descentType = descentType;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    @Override
    public String toString() {
        return "SvgSensitivePoint{" +
                "uuidIndex='" + uuidIndex + '\'' +
                ", cellIndex=" + cellIndex +
                ", amplitude=" + amplitude +
                ", descentType=" + descentType +
                ", time='" + time + '\'' +
                '}';
    }
}
